## xdg-desktop-portal-lxqt 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "0.2.0")

project(xdg-desktop-portal-lxqt VERSION ${PROJECT_VERSION})

set(QT_MIN_VERSION "5.15.0")
set(LIBFMQT_MINIMUM_VERSION "1.1.0")
set(KF5_MIN_VERSION "5.78")

set(CMAKE_AUTOMOC on)

include(FeatureSummary)
include(GNUInstallDirs)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Widgets
)
find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)  # seems to be required by fm-qt
find_package(fm-qt ${LIBFMQT_MINIMUM_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MIN_VERSION} REQUIRED)

add_subdirectory(data)
add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(SRCS
    utils.cpp
    filedialoghelper.cpp
    filechooser.cpp
    desktopportal.cpp
    main.cpp
)

include_directories(
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
)

add_executable(xdg-desktop-portal-lxqt ${SRCS})

set_property(TARGET xdg-desktop-portal-lxqt PROPERTY CXX_STANDARD 14)
set_property(TARGET xdg-desktop-portal-lxqt PROPERTY CXX_STANDARD_REQUIRED on)

target_link_libraries(xdg-desktop-portal-lxqt
    Qt::Core
    Qt::DBus
    Qt::Widgets
    fm-qt
    KF5::WindowSystem
)

install(TARGETS xdg-desktop-portal-lxqt DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR})

=== debian/changelog ===
xdg-desktop-portal-lxqt (0.2.0-0ubuntu2) kinetic; urgency=medium

  * Removed redundant "Repository-Browser" field from d/upstream/metadata.
  * Removed obsolete "-Wl,--as-needed" linker flag.
  * Added "Rules-Requires-Root: no" to debian/control.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Fri, 15 Jul 2022 13:40:41 -0500

xdg-desktop-portal-lxqt (0.2.0-0ubuntu1) kinetic; urgency=medium

  * Initial release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 02 Jun 2022 12:12:42 -0500

=== debian/control ===
Source: xdg-desktop-portal-lxqt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@lubuntu.me>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libfm-qt-dev (>= 1.1.0),
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.11.0),
               qtbase5-private-dev
Standards-Version: 4.6.1
Vcs-Browser: https://phab.lubuntu.me/source/liblxqt/
Vcs-Git: https://phab.lubuntu.me/source/liblxqt.git
Homepage: https://github.com/lxqt/qtxdg-tools
Rules-Requires-Root: no

Package: xdg-desktop-portal-lxqt
Architecture: any
Depends: libfm-qt-dev (>= 1.1.0),
         libkf5windowsystem-dev,
         libqt5x11extras5-dev,
         xdg-desktop-portal,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: xdg-desktop-portal using Qt/KF5/libfm-qt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains a backend implementation for xdg-desktop-portal that is
 using Qt/KF5/libfm-qt.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/xdg-desktop-portal-lxqt/releases .*/xdg-desktop-portal-lxqt-([\d\.]+).tar.xz

## xdg-desktop-portal-lxqt 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "0.2.0")
+set(PROJECT_VERSION "0.3.0")
 
 project(xdg-desktop-portal-lxqt VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "5.15.0")
-set(LIBFMQT_MINIMUM_VERSION "1.1.0")
+set(LIBFMQT_MINIMUM_VERSION "1.2.0")
 set(KF5_MIN_VERSION "5.78")
 
 set(CMAKE_AUTOMOC on)

=== debian/changelog ===
xdg-desktop-portal-lxqt (0.3.0-0ubuntu4) lunar; urgency=medium

  * No-change rebuild against libfm-qt 1.2.1.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 27 Jan 2023 15:53:17 -0600

xdg-desktop-portal-lxqt (0.3.0-0ubuntu3) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 13:11:35 +0300

xdg-desktop-portal-lxqt (0.3.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 16:01:01 +0300

xdg-desktop-portal-lxqt (0.3.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 19:16:03 -0600

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libfm-qt-dev (>= 1.1.0),
+               libfm-qt-dev (>= 1.2.0),
                libkf5windowsystem-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.11.0),
+               lxqt-build-tools (>= 0.12.0),
                qtbase5-private-dev
 Standards-Version: 4.6.1
-Vcs-Browser: https://phab.lubuntu.me/source/liblxqt/
-Vcs-Git: https://phab.lubuntu.me/source/liblxqt.git
-Homepage: https://github.com/lxqt/qtxdg-tools
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/xdg-desktop-portal-lxqt-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/xdg-desktop-portal-lxqt-packaging.git
+Homepage: https://github.com/lxqt/xdg-desktop-portal-lxqt
 Rules-Requires-Root: no
 
 Package: xdg-desktop-portal-lxqt
 Architecture: any
-Depends: libfm-qt-dev (>= 1.1.0),
+Depends: libfm-qt-dev (>= 1.2.0),
          libkf5windowsystem-dev,
          libqt5x11extras5-dev,
          xdg-desktop-portal,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

#override_dh_missing:
#	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## xdg-desktop-portal-lxqt 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "0.3.0")
+set(PROJECT_VERSION "0.4.0")
 
 project(xdg-desktop-portal-lxqt VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "5.15.0")
-set(LIBFMQT_MINIMUM_VERSION "1.2.0")
+set(LIBFMQT_MINIMUM_VERSION "1.3.0")
 set(KF5_MIN_VERSION "5.78")
 
 set(CMAKE_AUTOMOC on)

=== debian/changelog ===
xdg-desktop-portal-lxqt (0.4.0-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add qtbase5-private-dev to build-deps to prevent FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jul 2023 15:24:29 -0700

xdg-desktop-portal-lxqt (0.4.0-0.1~S7) unstable; urgency=medium

  * New upstream release.

 -- S.7 <severusseptimius7@gmail.com>  Sun, 21 May 2023 12:42:18 -0400

xdg-desktop-portal-lxqt (0.1.0-1) unstable; urgency=medium

  * New upstream release 0.1.0

 -- Palo Kisa <palo.kisa@gmail.com>  Thu, 03 Feb 2022 00:07:15 +0100

xdg-desktop-portal-lxqt (0.0.1-1~ge6121bb) unstable; urgency=medium

  * Initial release: 0.0.1-1~ge6121bb

 -- Palo Kisa <palo.kisa@gmail.com>  Wed, 2 Feb 2022 12:09:43 +0100

=== debian/control ===
Source: xdg-desktop-portal-lxqt
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Palo Kisa <palo.kisa@gmail.com>
Section: x11
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfm-qt-dev,
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               qtbase5-dev,
               qtbase5-private-dev,
               quilt
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/xdg-desktop-portal-lxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/xdg-desktop-portal-lxqt.git
Homepage: https://github.com/lxqt/xdg-desktop-portal-lxqt

Package: xdg-desktop-portal-lxqt
Architecture: any
Provides: xdg-desktop-portal-backend
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: LXQt portal backend for xdg-desktop-portal
 xdg-desktop-portal-lxqt is backend implementation for xdg-desktop-portal,
 that is using Qt/KF5/libfm-qt.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/xdg-desktop-portal-lxqt/releases .*/xdg-desktop-portal-lxqt-([\d\.]+).tar.[gx]z debian uupdate

## xdg-desktop-portal-lxqt 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "0.4.0")
+set(PROJECT_VERSION "0.5.0")
 
 project(xdg-desktop-portal-lxqt VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "5.15.0")
-set(LIBFMQT_MINIMUM_VERSION "1.3.0")
+set(LIBFMQT_MINIMUM_VERSION "1.4.0")
 set(KF5_MIN_VERSION "5.78")
 
 set(CMAKE_AUTOMOC on)

=== data/CMakeLists.txt ===
configure_file(org.freedesktop.impl.portal.desktop.lxqt.desktop.in org.freedesktop.impl.portal.desktop.lxqt.desktop @ONLY)
configure_file(org.freedesktop.impl.portal.desktop.lxqt.service.in org.freedesktop.impl.portal.desktop.lxqt.service @ONLY)

install(FILES lxqt.portal DESTINATION "${CMAKE_INSTALL_FULL_DATAROOTDIR}/xdg-desktop-portal/portals")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.lxqt.service DESTINATION "${CMAKE_INSTALL_FULL_DATAROOTDIR}/dbus-1/services")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.lxqt.desktop DESTINATION "${CMAKE_INSTALL_FULL_DATAROOTDIR}/applications")

=== debian/changelog ===
xdg-desktop-portal-lxqt (0.5.0-0ubuntu6) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 23:16:58 +0300

xdg-desktop-portal-lxqt (0.5.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:28:26 +0000

xdg-desktop-portal-lxqt (0.5.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:31:57 +0000

xdg-desktop-portal-lxqt (0.5.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 29 Dec 2023 21:45:27 +0300

xdg-desktop-portal-lxqt (0.5.0-0ubuntu2) noble; urgency=medium

  * Bump runtime dependency for new upstream version.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 13 Nov 2023 17:41:18 -0600

xdg-desktop-portal-lxqt (0.5.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Overhauled copyright file.
  * Bump build dependency versions.
  * Compressed the changelog.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 12 Nov 2023 21:02:39 -0600

xdg-desktop-portal-lxqt (0.4.0-0ubuntu2) mantic; urgency=medium

  * Add a Provides for xdg-desktop-portal-backend (LP: #2036098).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Sep 2023 11:51:42 -0500

xdg-desktop-portal-lxqt (0.4.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Update copyright years.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:52:50 -0500

=== debian/control ===
Source: xdg-desktop-portal-lxqt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@lubuntu.me>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libfm-qt-dev (>= 1.4.0),
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.13.0),
               qtbase5-private-dev
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/xdg-desktop-portal-lxqt-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/xdg-desktop-portal-lxqt-packaging.git
Homepage: https://github.com/lxqt/xdg-desktop-portal-lxqt
Rules-Requires-Root: no

Package: xdg-desktop-portal-lxqt
Architecture: any
Depends: libfm-qt-dev (>= 1.4.0),
         libkf5windowsystem-dev,
         libqt5x11extras5-dev,
         xdg-desktop-portal,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: xdg-desktop-portal-backend
Description: xdg-desktop-portal using Qt/KF5/libfm-qt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains a backend implementation for xdg-desktop-portal that is
 using Qt/KF5/libfm-qt.

## xdg-desktop-portal-lxqt 1.0.2

=== debian/changelog ===
xdg-desktop-portal-lxqt (1.0.2-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:46:38 -0500

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libfm-qt-dev (>= 1.4.0),
-               libkf5windowsystem-dev,
-               libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.13.0),
-               qtbase5-private-dev
-Standards-Version: 4.6.2
+               libfm-qt6-dev (>= 2.0.0),
+               libkf6windowsystem-dev,
+               lxqt-build-tools (>= 2.0.0),
+               qt6-base-private-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/xdg-desktop-portal-lxqt-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/xdg-desktop-portal-lxqt-packaging.git
 Homepage: https://github.com/lxqt/xdg-desktop-portal-lxqt
@@ -17,9 +16,8 @@
 
 Package: xdg-desktop-portal-lxqt
 Architecture: any
-Depends: libfm-qt-dev (>= 1.4.0),
-         libkf5windowsystem-dev,
-         libqt5x11extras5-dev,
+Depends: libfm-qt6-dev (>= 2.0.0),
+         libkf6windowsystem-dev,
          xdg-desktop-portal,
          ${misc:Depends},
          ${shlibs:Depends}

## xdg-desktop-portal-lxqt 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18.0)

set(PROJECT_VERSION "1.1.0")

project(xdg-desktop-portal-lxqt VERSION ${PROJECT_VERSION})

set(QT_MIN_VERSION "6.6.0")
set(LIBFMQT_MINIMUM_VERSION "2.1.0")
set(KF6_MIN_VERSION "6.0.0")

set(CMAKE_AUTOMOC on)

include(FeatureSummary)
include(GNUInstallDirs)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Widgets
)
find_package(fm-qt6 ${LIBFMQT_MINIMUM_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF6_MIN_VERSION} REQUIRED)

add_subdirectory(data)
add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(SRCS
    utils.cpp
    filedialoghelper.cpp
    filechooser.cpp
    desktopportal.cpp
    main.cpp
)

include_directories(
    ${Qt6Gui_PRIVATE_INCLUDE_DIRS}
)

add_executable(xdg-desktop-portal-lxqt ${SRCS})

set_property(TARGET xdg-desktop-portal-lxqt PROPERTY CXX_STANDARD 14)
set_property(TARGET xdg-desktop-portal-lxqt PROPERTY CXX_STANDARD_REQUIRED on)

target_link_libraries(xdg-desktop-portal-lxqt
    Qt6::Core
    Qt6::DBus
    Qt6::Widgets
    fm-qt6
    KF6::WindowSystem
)

install(TARGETS xdg-desktop-portal-lxqt DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR})

=== debian/changelog ===
xdg-desktop-portal-lxqt (1.1.0-2) unstable; urgency=medium

  * d/control: Fix conflict between lxqt-session.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 06 Dec 2024 06:45:42 +0800

xdg-desktop-portal-lxqt (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0.
  * debian/control: build-deps on libfm-qt-dev (>= 2.1.0~).
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 04 Dec 2024 18:36:55 +0100

xdg-desktop-portal-lxqt (1.0.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 19:11:01 +0100

xdg-desktop-portal-lxqt (1.0.2-1~exp1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Add Rules-Requires-Root: no
  * d/copyright: Update copyright

  [ Severus Septimius ]
  * New upstream release 1.0.2
  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * debian/control: bump dep on libfm-qt-dev (>= 2.0.2~)
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on qtbase5-dev -> qt6-base-dev
  * debian/control: bump dep on qtbase5-private-dev -> qt6-base-private-
    dev
  * debian/copyright: add missing License fields and paragraph

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.
  * debian/salsa-ci.yml: build against to experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 22 Sep 2024 13:26:33 +0200

xdg-desktop-portal-lxqt (0.5.0-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 0.4.0
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/rules: Remove unnecessary -Wl,--as-needed.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/watch: update.
  * New upstream version 0.5.0.
  * debian/control: build-deps on libkf5windowsystem-dev (>= 5.78~).
  * debian/control: build-deps on qtbase5-dev (>= 5.15.0~).
  * debian/control: build-deps on libfm-qt-dev (>= 1.4.0~).
  * debian/control: build-deps on qtbase5-private-dev.
  * debian/upstream/metadata: fix typo on Repository-Browse.
  * Put myself as uploader.
  * debian/copyright: update.
  * Clean up changelog entries not belongs to debian/.
  * debian/copyright: update valid copyright notice.
  * debian/copyright: actually list all copyright notices.
  * Run wrap-and-sort.

  [ ChangZhuo Chen (陳昌倬) ]
  * Initial release. (Closes:#1051790)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 23 Jul 2024 09:09:48 +0200

=== debian/control ===
Source: xdg-desktop-portal-lxqt
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfm-qt-dev (>= 2.1.0~),
               libkf6windowsystem-dev,
               qt6-base-dev,
               qt6-base-private-dev,
               quilt
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/xdg-desktop-portal-lxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/xdg-desktop-portal-lxqt.git
Homepage: https://github.com/lxqt/xdg-desktop-portal-lxqt
Rules-Requires-Root: no

Package: xdg-desktop-portal-lxqt
Architecture: any
Provides: xdg-desktop-portal-backend
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: lxqt-session (<< 2.1.0~)
Replaces: lxqt-session (<< 2.1.0~)
Description: LXQt portal backend for xdg-desktop-portal
 xdg-desktop-portal-lxqt is backend implementation for xdg-desktop-portal,
 that is using Qt/KF5/libfm-qt.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts="downloadurlmangle=s/archive\/refs\/tags\/@ANY_VERSION@@ARCHIVE_EXT@/releases\/download\/$1\/@PACKAGE@-$1\.tar\.xz/,filenamemangle=s/@ANY_VERSION@@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.xz/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/@PACKAGE@/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## xdg-desktop-portal-lxqt 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.18.0)
 
-set(PROJECT_VERSION "1.1.0")
+set(PROJECT_VERSION "1.2.0")
 
 project(xdg-desktop-portal-lxqt VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.6.0")
-set(LIBFMQT_MINIMUM_VERSION "2.1.0")
+set(LIBFMQT_MINIMUM_VERSION "2.2.0")
 set(KF6_MIN_VERSION "6.0.0")
 
 set(CMAKE_AUTOMOC on)

=== debian/changelog ===
xdg-desktop-portal-lxqt (1.2.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 19:00:55 +0100

xdg-desktop-portal-lxqt (1.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Update build dependencies.
  * Update copyright file.
  * Update Standards-Version to 4.7.2, no changes needed.
  * Use Breaks/Replaces rather than Conflicts/Replaces on older lxqt-session
    versions.
  * Add DEP-3 header on add-kde-as-secondary-option.patch.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 01 Aug 2025 11:30:28 -0500

xdg-desktop-portal-lxqt (1.1.0-0ubuntu6) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:59:23 -0600

xdg-desktop-portal-lxqt (1.1.0-0ubuntu5) plucky; urgency=medium

  * Remove extra runtime depends that are pulled in by debhelper anyway.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 16 Feb 2025 19:26:24 -0600

xdg-desktop-portal-lxqt (1.1.0-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 18:32:43 -0600

xdg-desktop-portal-lxqt (1.1.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 04:03:21 -0600

xdg-desktop-portal-lxqt (1.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 00:46:26 -0600

xdg-desktop-portal-lxqt (1.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Add Breaks/Replaces on the older lxqt-session, since we include
      lxqt-portals.conf now.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:33:57 -0600

xdg-desktop-portal-lxqt (1.0.2-0ubuntu2) plucky; urgency=medium

  * No-change rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:54:36 +0100

=== debian/control ===
Source: xdg-desktop-portal-lxqt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@lubuntu.me>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.18),
               libfm-qt6-dev (>= 2.2.0),
               libkf6windowsystem-dev (>= 6.0.0),
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-dri2-0-dev,
               libxcb-dri3-dev,
               libxcb-ewmh-dev,
               libxcb-glx0-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-present-dev,
               libxcb-record0-dev,
               libxcb-render0-dev,
               libxcb-res0-dev,
               libxcb-screensaver0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xf86dri0-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb-xv0-dev,
               libxcb-xvmc0-dev,
               libxkbcommon-dev (>= 0.5.0),
               lxqt-build-tools (>= 2.2.0),
               qt6-base-private-dev (>= 6.6.0)
Standards-Version: 4.7.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/xdg-desktop-portal-lxqt-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/xdg-desktop-portal-lxqt-packaging.git
Homepage: https://github.com/lxqt/xdg-desktop-portal-lxqt
Rules-Requires-Root: no

Package: xdg-desktop-portal-lxqt
Architecture: any
Depends: xdg-desktop-portal, ${misc:Depends}, ${shlibs:Depends}
Breaks: lxqt-session (<< 2.1.0)
Replaces: lxqt-session (<< 2.1.0)
Pre-Depends: ${misc:Pre-Depends}
Provides: xdg-desktop-portal-backend
Description: xdg-desktop-portal using Qt/KF6/libfm-qt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains a backend implementation for xdg-desktop-portal that is
 using Qt/KF6/libfm-qt.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_installchangelogs:
	dh_installchangelogs -O--buildsystem=cmake
	mv debian/xdg-desktop-portal-lxqt/usr/share/doc/xdg-desktop-portal-lxqt/CHANGELOG debian/xdg-desktop-portal-lxqt/usr/share/doc/xdg-desktop-portal-lxqt/changelog
	gzip -9 debian/xdg-desktop-portal-lxqt/usr/share/doc/xdg-desktop-portal-lxqt/changelog

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## xdg-desktop-portal-lxqt 1.3.0

=== debian/changelog ===
xdg-desktop-portal-lxqt (1.3.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 31 Dec 2025 18:12:29 +0800

xdg-desktop-portal-lxqt (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 1.3.0.
  * d/control: Update Build-Depends.
  * d/control: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority, and Rules-Requires-Root.
  * d/install: Add systemd service.
  * d/watch: Upgrade to version 5.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 28 Dec 2025 17:54:27 +0800

xdg-desktop-portal-lxqt (1.2.0-1) unstable; urgency=medium

  * Migrate to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 23 Aug 2025 08:49:25 +0800

xdg-desktop-portal-lxqt (1.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 1.2.0 (Closes: #1098132)
  * d/control: Update Standards-Version to 4.7.2.
  * d/control: Update Build-Depends.
  * d/copyright: Update copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 16 Aug 2025 23:03:05 +0800

=== debian/control ===
Source: xdg-desktop-portal-lxqt
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfm-qt-dev (>= 2.3.0~),
               libkf6windowsystem-dev,
               qt6-base-dev,
               qt6-base-private-dev,
               quilt
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/lxqt-team/xdg-desktop-portal-lxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/xdg-desktop-portal-lxqt.git
Homepage: https://github.com/lxqt/xdg-desktop-portal-lxqt

Package: xdg-desktop-portal-lxqt
Architecture: any
Provides: xdg-desktop-portal-backend
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: lxqt-session (<< 2.1.0~)
Replaces: lxqt-session (<< 2.1.0~)
Description: LXQt portal backend for xdg-desktop-portal
 xdg-desktop-portal-lxqt is backend implementation for xdg-desktop-portal,
 that is using Qt/KF5/libfm-qt.
